From: "Andrey Grozin" <grozin@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/curtsies/
Date: Wed, 12 Oct 2016 14:00:52 +0000 (UTC) [thread overview]
Message-ID: <1476280825.1fc6c49fd4ff93383f7c0089ce76c69e15350949.grozin@gentoo> (raw)
commit: 1fc6c49fd4ff93383f7c0089ce76c69e15350949
Author: Andrey Grozin <grozin <AT> gentoo <DOT> org>
AuthorDate: Wed Oct 12 13:58:51 2016 +0000
Commit: Andrey Grozin <grozin <AT> gentoo <DOT> org>
CommitDate: Wed Oct 12 14:00:25 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1fc6c49f
dev-python/curtsies: bump to 0.2.10
Package-Manager: portage-2.3.0
dev-python/curtsies/Manifest | 1 +
dev-python/curtsies/curtsies-0.2.10.ebuild | 36 ++++++++++++++++++++++++++++++
2 files changed, 37 insertions(+)
diff --git a/dev-python/curtsies/Manifest b/dev-python/curtsies/Manifest
index abecc92..9302bdf 100644
--- a/dev-python/curtsies/Manifest
+++ b/dev-python/curtsies/Manifest
@@ -1,5 +1,6 @@
DIST curtsies-0.1.18.tar.gz 44353 SHA256 477121f256eea2b71237492e2924f05b54e1f91815d042bf91d7112b71d4edd4 SHA512 02ae86b215dca10e779061485cb18ab8b6fefbdad10e2bcad3c24890b79f81d1aae0b84467a23ca1951ffaa336fc2fe9b5137c1a10a65fafe0a0b540cc0c819c WHIRLPOOL 801738c450c2fd9343e01260240ebd5ed74e951c03a918808c8c2c47e8ec46afe425f4d8978dea894d2cdf36bc2e3bd19e9de2ed12a62e5786eebeed87dd9800
DIST curtsies-0.1.23.tar.gz 43747 SHA256 4a082383a183cf2d58fcff11885a8d74c5c5c9a81812984c3b25a0a058fd65d3 SHA512 a33f56b4dabd7878e7b1789c9f6ed26ff7cd2a96607a34af66874b33acb8c115cc159684d00a0de2d80b536dec1001b84e342cfe02039ed2ad64cfc015069247 WHIRLPOOL 673ac1f5f09940b1da796024d779233ca15433b82b83c386157b51f585ee3cc9cbcfac017f7bb35540e4d0c1e82c21d950af7084b6473eb657bd8b21b4479b17
+DIST curtsies-0.2.10.tar.gz 46320 SHA256 26d5c3356bf318443f57866903dda3c66a10da3b86a79bc3e9b2719bb5272715 SHA512 0e4349e460dd9d8ec5c900d1b3dd98ede7c7462f9842cb4bb22e1f1a2a0048090593af2c1cddf26a1239db00060429b27785e05de84ff9b4199fe3b8d4973fc3 WHIRLPOOL dca8883f43fd062205b4864976cedd53095b0d769b385e8c0370ed0fce1eb78903d4b42de99b9622d2599fd2e9dc70bb10e69e87c181b22afcbb388109cfb782
DIST curtsies-0.2.3.tar.gz 42805 SHA256 5da88a67472ada96de3be2a9da4210080c7e4b2c1afc4c97075b3f51755e0dc4 SHA512 8d48fb147fc247b2241472543a5019a55ef1b8f029b0bb93c7de72cd9eeb1bfe9940520bb5a0509406915523b98e1dbd9f07499e9eb9649d6d70df51ba71606d WHIRLPOOL 6b3e37f630488f01b6451349fcbf5e81cde7cdf8e1590bc4c65bb9bdffb4b83f8d868c37624e3f1f932cc51d9af251914f8fa55bc88eeaacc6c2dd3eb91239ea
DIST curtsies-0.2.4.tar.gz 43313 SHA256 ae52dbb1c828369b85ed3650c846bd7bf4832916dc472220d3365c3e46e1dce6 SHA512 85ec1e87720cde03be012bb0dcb300acaac5d9a3cc3c8bd6b0e7a8d4e048abbb6ef24513ea2b8f3d106b92ac2db752c2054e699bc1ef7131f8f18e20c541fc3e WHIRLPOOL b236c072b0907115da835827078ba9363bbb199c2202bbbf7f6cabc86c47da5d1505aeaaa2fb0de1924651add2f08c0a65d8c17a9d79096b6a7d8094402d7d53
DIST curtsies-0.2.6.tar.gz 43639 SHA256 431631b9c1417b2ae8156d0bb6d7c3ce0c97941413717ed6713a9a9c60e9576e SHA512 fd1d3513564893ad5be12132fbba9af524a6a002987c5a32d72be21af73a22446b960f920bd6728f542a3ede42c6c3c3c789f7f97ea526aeaff3c5045910a44f WHIRLPOOL 75b76bbe3d983f2a5fa7112fc9f1102b0773d8c48a49a561380a8d7a53be7abd56b2ebf138f6fb3534ca26ece672dda3d209248d48c7578c4134735abaf783ed
diff --git a/dev-python/curtsies/curtsies-0.2.10.ebuild b/dev-python/curtsies/curtsies-0.2.10.ebuild
new file mode 100644
index 00000000..67d2dd2
--- /dev/null
+++ b/dev-python/curtsies/curtsies-0.2.10.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} )
+
+inherit distutils-r1
+
+DESCRIPTION="Curses-like terminal wrapper, with colored strings"
+HOMEPAGE="https://github.com/thomasballinger/curtsies"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="MIT"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+RDEPEND="
+ >=dev-python/blessings-1.5[${PYTHON_USEDEP}]
+ dev-python/pyte[${PYTHON_USEDEP}]
+ >=dev-python/wcwidth-0.1.4[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/nose[${PYTHON_USEDEP}]
+ dev-python/pyte[${PYTHON_USEDEP}]
+ )
+"
+
+python_test() {
+ nosetests --verbose tests || die
+}
next reply other threads:[~2016-10-12 14:01 UTC|newest]
Thread overview: 52+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-10-12 14:00 Andrey Grozin [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-06-24 20:29 [gentoo-commits] repo/gentoo:master commit in: dev-python/curtsies/ Petr Vaněk
2024-06-24 20:29 Petr Vaněk
2023-11-24 16:26 Michał Górny
2023-11-23 20:11 Michał Górny
2023-10-20 12:59 Michał Górny
2023-09-01 17:11 Michał Górny
2023-09-01 16:42 Arthur Zamarin
2023-08-01 3:01 Michał Górny
2023-03-16 3:47 Michał Górny
2022-12-10 11:27 Michał Górny
2022-12-10 9:25 Arthur Zamarin
2022-11-09 6:55 Michał Górny
2022-11-09 6:12 Michał Górny
2022-11-08 23:16 Sam James
2022-10-03 9:39 Michał Górny
2022-10-03 8:24 Agostino Sarubbo
2022-10-03 0:44 Sam James
2022-08-30 3:36 Yixun Lan
2022-08-29 18:04 Arthur Zamarin
2022-08-29 18:04 Arthur Zamarin
2022-03-30 11:25 Jakov Smolić
2021-10-31 20:31 Michał Górny
2021-10-31 17:55 Sam James
2021-10-09 7:08 Michał Górny
2021-10-07 21:48 Michał Górny
2021-09-27 22:16 Michał Górny
2021-09-27 6:59 Michał Górny
2021-08-24 18:58 Arthur Zamarin
2021-08-24 18:58 Arthur Zamarin
2021-02-26 12:07 Agostino Sarubbo
2021-01-24 19:50 Michał Górny
2021-01-05 11:03 Michał Górny
2020-06-02 12:01 Michał Górny
2020-05-11 16:48 Michał Górny
2020-05-11 9:44 Agostino Sarubbo
2020-03-26 17:17 Michał Górny
2020-03-17 7:23 Michał Górny
2020-03-07 17:57 Sebastian Pipping
2020-01-24 19:18 Michał Górny
2019-03-21 18:12 Michał Górny
2019-02-26 14:17 Andrey Grozin
2018-06-26 12:17 Andrey Grozin
2018-06-24 9:40 Mikle Kolyada
2017-02-28 13:19 Andrey Grozin
2017-01-23 15:46 Agostino Sarubbo
2017-01-23 13:51 Agostino Sarubbo
2017-01-22 16:08 Andrey Grozin
2016-09-27 12:42 Andrey Grozin
2016-08-09 12:04 Andrey Grozin
2016-01-12 14:10 Justin Lecher
2016-01-12 9:44 Justin Lecher
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1476280825.1fc6c49fd4ff93383f7c0089ce76c69e15350949.grozin@gentoo \
--to=grozin@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox